Bug 630444 - (CVE-2010-3072) CVE-2010-3072 Squid: Denial of service due internal error in string handling (SQUID-2010:3)
CVE-2010-3072 Squid: Denial of service due internal error in string handling ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100903,reported=20100904,sou...
: Security
Depends On: 630445 688482
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-05 12:09 EDT by Jan Lieskovsky
Modified: 2015-07-31 08:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-05 12:09:48 EDT
A denial of service flaw was found in the way Squid proxy caching
server internally processed NULL buffers. A remote, trusted client
could use this flaw to cause squid daemon crash (dereference NULL pointer)
when processing specially-crafted request.

References:
  [1] http://www.squid-cache.org/Advisories/SQUID-2010_3.txt

Upstream patch (against Squid v3.0):
  [2] http://www.squid-cache.org/Versions/v3/3.0/changesets/squid-3.0-9189.patch

Upstream patch (against Squid v3.1):
  [3] http://www.squid-cache.org/Versions/v3/3.1/changesets/squid-3.1-10090.patch

Credit:
  The vulnerability was discovered by Phil Oester.
Comment 1 Jan Lieskovsky 2010-09-05 12:11:28 EDT
This issue affects the versions of the squid package, as shipped with
Fedora release of 12 and 13.

Please fix.
Comment 2 Jan Lieskovsky 2010-09-05 12:12:27 EDT
Created squid tracking bugs for this issue

Affects: fedora-all [bug 630445]
Comment 3 Henrik Nordström 2010-09-05 12:18:29 EDT
update fixing this is already in updates for F13 and updates-testing for F12

https://admin.fedoraproject.org/updates/squid-3.1.7-1.fc13
https://admin.fedoraproject.org/updates/squid-3.1.7-1.fc12.1
Comment 4 Henrik Nordström 2010-09-05 12:28:37 EDT
correction. those updates are vulnerable. sorry for the confusion.
Comment 5 Jan Lieskovsky 2010-09-05 12:40:42 EDT
This issue did NOT affect the versions of the squid package, as shippped
with Red Hat Enterprise Linux 3, 4, or 5.
Comment 7 Jan Lieskovsky 2010-09-08 06:11:33 EDT
The CVE identifier of CVE-2010-3072 has been assigned to this issue.
Comment 8 Vincent Danen 2010-09-10 13:51:26 EDT
Statement:

This issue did not affect the version of Squid as shipped with Red Hat Enterprise Linux 3, 4, or 5.  It was corrected in Red Hat Enterprise Linux 6 via RHSA-2011:0545.
Comment 10 errata-xmlrpc 2011-05-19 07:34:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0545 https://rhn.redhat.com/errata/RHSA-2011-0545.html

Note You need to log in before you can comment on or make changes to this bug.